#!/usr/bin/env python3

from setuptools import setup
from setuptools.command.install import install

from lucy_password.config import do_config


class CustomInstall(install):
    def run(self):
        install.run(self)
        do_config()


setup(
    name='lucy_password',
    version='0.37.08',
    packages=["lucy_password"],
    url='https://github.com/Mattis3403/lucy_password',
    license='MIT',
    author='Lucy',
    author_email='m.seebeck@campus.tu-berlin.de',
    description='A Password Manager',
    install_requires=[
        "coloredlogs",
        "cryptography",
    ],
    entry_points={
        "console_scripts": ["qq=lucy_password.entry:entry_main"]
    },
    cmdclass={
        'install': CustomInstall
    },
)
